Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::abstract_indexed_set_node Class Reference

Inheritance diagram for openvrml::vrml97_node::abstract_indexed_set_node:

[legend]
List of all members.

## Detailed Description

Abstract base class for IndexedFaceSet and IndexedLineSet.

## Public Member Functions

virtual | ~abstract_indexed_set_node ()=0 throw ()
| Destroy.
virtual bool | modified () const
| Determine whether the node has been modified.
virtual const color_node * | color () const throw ()
| color_node.

## Protected Member Functions

| abstract_indexed_set_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.

## Protected Attributes

set_color_index_listener | set_color_index_
| set_colorIndex event handler.
set_coord_index_listener | set_coord_index_
| set_coordIndex event handler.
exposedfield< sfnode > | color_
| color exposedField.
exposedfield< sfnode > | coord_
| coord exposedField.
mfint32 | color_index_
| colorIndex field.
sfbool | color_per_vertex_
| colorPerVertex field.
mfint32 | coord_index_
| coordIndex field.

## Classes

class | set_color_index_listener
| set_colorIndex event handler. More...
class | set_coord_index_listener
| set_coordIndex event handler. More...

## Constructor & Destructor Documentation

openvrml::vrml97_node::abstract_indexed_set_node::~abstract_indexed_set_node | ( |  | ) | throw ()`[pure virtual]`

| Destroy.

openvrml::vrml97_node::abstract_indexed_set_node::abstract_indexed_set_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | `[protected]`

Construct.

Parameters:

  | type | the node_type associated with the instance.
  | scope | the scope that the new node will belong to.

## Member Function Documentation

bool openvrml::vrml97_node::abstract_indexed_set_node::modified | ( |  | ) | const`[virtual]`

Determine whether the node has been modified.

Returns:
  `true` if the node or one of its children has been modified, `false` otherwise.

Reimplemented from openvrml::node.

Reimplemented in openvrml::vrml97_node::indexed_face_set_node.

const openvrml::color_node * openvrml::vrml97_node::abstract_indexed_set_node::color | ( |  | ) | const throw ()`[virtual]`

color_node.

Returns:
  the color_node, or 0 if none is set.

Reimplemented from openvrml::geometry_node.

## Member Data Documentation

abstract_indexed_set_node::set_color_index_listener openvrml::vrml97_node::abstract_indexed_set_node::set_color_index_ `[protected]`

| set_colorIndex event handler.

abstract_indexed_set_node::set_coord_index_listener openvrml::vrml97_node::abstract_indexed_set_node::set_coord_index_ `[protected]`

| set_coordIndex event handler.

exposedfield< sfnode > openvrml::vrml97_node::abstract_indexed_set_node::color_ `[protected]`

| color exposedField.

exposedfield< sfnode > openvrml::vrml97_node::abstract_indexed_set_node::coord_ `[protected]`

| coord exposedField.

mfint32 openvrml::vrml97_node::abstract_indexed_set_node::color_index_ `[protected]`

| colorIndex field.

sfbool openvrml::vrml97_node::abstract_indexed_set_node::color_per_vertex_ `[protected]`

| colorPerVertex field.

mfint32 openvrml::vrml97_node::abstract_indexed_set_node::coord_index_ `[protected]`

| coordIndex field.